## python-acora 2.0

=== debian/changelog ===
python-acora (2.0-2build3) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:22:50 +0000

python-acora (2.0-2build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:27:21 +0000

python-acora (2.0-2build1) artful; urgency=medium

  * Rebuild for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 12 May 2017 20:47:33 +0530

python-acora (2.0-2) unstable; urgency=medium

  * Rename source package, no changes to binary packages

 -- Hilko Bengen <bengen@debian.org>  Sat, 03 Dec 2016 15:27:52 +0100

acora (2.0-1) unstable; urgency=medium

  * Initial release (Closes: #838843)

 -- Hilko Bengen <bengen@debian.org>  Fri, 02 Dec 2016 00:10:17 +0100
