=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME        := acora
export PYBUILD_BEFORE_TEST := cp -a test.py README.rst {build_dir}/
export PYBUILD_TEST_ARGS   := {interpreter} {build_dir}/test.py
export PYBUILD_AFTER_TEST  := rm -f {build_dir}/test.py {build_dir}/README.rst

override_dh_auto_test: export PYBUILD_SYSTEM=custom
override_dh_auto_test:
	dh_auto_test

%:
	dh $@  --with python2,python3 --buildsystem=pybuild
