## python-acora 2.1

=== debian/changelog ===
python-acora (2.1-1) unstable; urgency=medium

  * New upstream version 2.1
  * Remove auto-generated files on clean, build (Closes: #904645)
  * Add patch to fix Cython-related errors
  * Modernize package: DH compat level, Standards-Version, Vcs-* headers,
    Standards-Version, Vcs-* headers

 -- Hilko Bengen <bengen@debian.org>  Sat, 28 Jul 2018 14:33:10 +0200
