=== debian/control ===
Source: python-acora
Section: python
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 10), dh-python,
 python-all-dev (>= 2.6.6-3~), python3-all-dev,
 python-setuptools, python3-setuptools,
 cython, cython3,
 python-pytest, python3-pytest,
Standards-Version: 4.1.5
Homepage: https://pypi.python.org/pypi/acora
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://salsa.debian.org/debian/python-acora.git
Vcs-Browser: https://salsa.debian.org/debian/python-acora.git

Package: python-acora
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends},
Description: fast multi-keyword text search engine (Python 2)
 Acora is 'fgrep' for Python, a fast multi-keyword text search engine.
 .
 Based on a set of keywords and the Aho-Corasick algorithm, it
 generates a search automaton and runs it over string input, either
 unicode or bytes.
 .
 This package installs the library for Python 2.

Package: python3-acora
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends},
Description: fast multi-keyword text search engine (Python 3)
 Acora is 'fgrep' for Python, a fast multi-keyword text search engine.
 .
 Based on a set of keywords and the Aho-Corasick algorithm, it
 generates a search automaton and runs it over string input, either
 unicode or bytes.
 .
 This package installs the library for Python 3.
