=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 export PYBUILD_TEST_ARGS   := {interpreter} {build_dir}/test.py
 export PYBUILD_AFTER_TEST  := rm -f {build_dir}/test.py {build_dir}/README.rst
 
+override_dh_auto_configure override_dh_auto_clean:
+	rm -f acora/_acora.c acora/_cacora.c
+	$(patsubst override_%,%,$@)
+
 override_dh_auto_test: export PYBUILD_SYSTEM=custom
 override_dh_auto_test:
 	dh_auto_test
