## python-acora 2.2

=== debian/changelog ===
python-acora (2.2-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Delete generated C before build, and in clean, to ensure regeneration with
    cython. Fixes FTBFS with Python 3.9. (Closes: #972028)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 15 Oct 2020 22:32:00 -0700

python-acora (2.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937570

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Dec 2019 23:03:28 -0500

python-acora (2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules
    - remove problematic override rules 

 -- Hideki Yamane <henrich@debian.org>  Tue, 04 Jun 2019 00:03:53 +0900

python-acora (2.2-1) unstable; urgency=medium

  * New upstream version 2.2
    - Builds just fine (Closes: 917725)
  * Bump Debhelper compat level
  * Bump Standards-Version
  * Drop patch

 -- Hilko Bengen <bengen@debian.org>  Tue, 22 Jan 2019 18:58:57 +0100
