=== debian/changelog ===
python-acora (2.4-0.1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:26:47 +0000

python-acora (2.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Bastian Germann ]
  * Remove .git suffix from Vcs-Browser

  [ Bo YU ]
  * New upstream version 2.4. (Closes: #1056849, #1055707)

 -- Bo YU <tsu.yubo@gmail.com>  Tue, 09 Jan 2024 09:52:46 +0800
