=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Standards-Version: 4.3.0
 Homepage: https://pypi.python.org/pypi/acora
 Vcs-Git: https://salsa.debian.org/debian/python-acora.git
-Vcs-Browser: https://salsa.debian.org/debian/python-acora.git
+Vcs-Browser: https://salsa.debian.org/debian/python-acora
 
 Package: python3-acora
 Architecture: any
