=== debian/watch ===
version=4

https://pypi.python.org/pypi/acora \
  .*/acora-(.+)\.tar\.gz debian uupdate
