## python-acora 2.5

=== debian/changelog ===
python-acora (2.5-0.1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:31:13 +0000

python-acora (2.5-0.1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 18:20:01 +0000

python-acora (2.5-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 2.5 (Closes: #1081621)
  * Use dh-sequence-python3
  * Set Rules-Requires-Root: no
  * Switch to DebHelper 13

 -- Alexandre Detiste <tchet@debian.org>  Wed, 13 Nov 2024 13:42:59 +0100
