=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,4 @@
 	dh_auto_test
 
 %:
-	dh $@  --with python3 --buildsystem=pybuild
+	dh $@  --buildsystem=pybuild
